Subject: bug#869: snapper doesn't take timeline snapshots

From: Leon <[email-masked]>
Date: Mon, 30 Dec 2024 20:45:28 +0100

Package: Snapper

Version: 0.10.4-1

When I set up a snapper config and configure a timeline it does not
automatically snapshots.
The apt hook works though and snapshots are always created pre and post
running an apt operation.
Snapper works fine on Artix
https://packages.artixlinux.org/packages/world/x86_64/snapper/ without
systemd as well as gentoo, so the problem must lie with how the upstream
debian package is maintained or "deliberately broken".
I suppose it is somehow configured for systemd timers.

I would be happy to help but don't know what to look for. I tried
comparing some of the config files and one thing the artix package does
is it creates the script /etc/cron.hourly/snapper.
Manually placing it there on the devuan system did nothing.
Best regards